﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="sqlbinding._Default" %>



<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <ej:Grid ID="EmployeesGrid" runat="server" DetailsTemplate="#tabGridContents">
        <ClientSideEvents DetailsDataBound="detailGridData" />
        <Columns>
            <ej:Column Field="EmployeeID" HeaderText="Employee ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
            <ej:Column Field="FirstName" HeaderText="First Name" Width="100" />
            <ej:Column Field="Title" HeaderText="Title" Width="120" />
            <ej:Column Field="City" HeaderText="City" Width="100" />
            <ej:Column Field="Country" HeaderText="Country" Width="100" />
        </Columns>
    </ej:Grid>
    <asp:SqlDataSource
          id="childData"
          runat="server"
          ConnectionString="<%$ ConnectionStrings:SQLConnectionString%>"
          SelectCommand="SELECT * FROM Orders">
      </asp:SqlDataSource>

     <asp:SqlDataSource
          id="childData1"
          runat="server"
          ConnectionString="<%$ ConnectionStrings:SQLConnectionString%>"
          SelectCommand="SELECT * FROM Products">
      </asp:SqlDataSource>

     <asp:SqlDataSource
          id="childData2"
          runat="server"
          ConnectionString="<%$ ConnectionStrings:SQLConnectionString%>"
          SelectCommand="SELECT * FROM EmployeeTerritories">
      </asp:SqlDataSource>

    <script id="tabGridContents" type="text/x-jsrender">
        <div class="tabcontrol">
            <ul>
                <li><a href="#gridTab1{{:EmployeeID}}">Stock Chart</a>
                </li>
                <li><a href="#gridTab2{{:EmployeeID}}">Stock Grid</a>
                </li>
                <li><a href="#gridTab3{{:EmployeeID}}">Stock Grid</a>
                </li>
            </ul>
            <div id="gridTab1{{:EmployeeID}}">
                <button id="btn{{:EmployeeID}}"></button>
                <div id="detailGrid1{{:EmployeeID}}"></div>
            </div>
            <div id="gridTab2{{:EmployeeID}}">
                <div id="detailGrid2{{:EmployeeID}}"></div>
            </div>
            
            <div id="gridTab3{{:EmployeeID}}">
                <div id="detailGrid3{{:EmployeeID}}"></div>
            </div>
        </div>
    </script>

    <script type="text/javascript">
        //SqlDataSource a variable defined at the code behind
        var orderData1 = JSON.parse('<%= new System.Web.Script.Serialization.JavaScriptSerializer().Serialize(this.SqlDataSource1)%>');
        var orderData2 = JSON.parse('<%= new System.Web.Script.Serialization.JavaScriptSerializer().Serialize(this.SqlDataSource2)%>');
        var orderData3 = JSON.parse('<%= new System.Web.Script.Serialization.JavaScriptSerializer().Serialize(this.SqlDataSource3)%>');
       
        function detailGridData(e) {
            var filteredData = e.data["EmployeeID"];
            var data1 = ej.DataManager(orderData1).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));
            var data2 = ej.DataManager(orderData2).executeLocal(ej.Query().where("ProductID", "equal", parseInt(filteredData), true));
            var data3 = ej.DataManager(orderData3).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));

            e.detailsElement.find("#btn" + filteredData).ejButton({
                text: "ClickMe"
            });

            e.detailsElement.find("#detailGrid1" + filteredData).ejGrid({
                dataSource: data1,
                allowSelection: false,
                allowPaging: true,
                columns: [
                    { field: "OrderID", key: true, headerText: "Order ID", width: 80, textAlign: ej.TextAlign.Right },
                    { field: "CustomerID", headerText: 'Customer ID', width: 80, textAlign: ej.TextAlign.Left },
                    { field: "ShipCountry", headerText: 'Country', width: 120, textAlign: ej.TextAlign.Left },
                    { field: "ShipCity", headerText: 'City', width: 120, textAlign: ej.TextAlign.Left }
                ]
            });
            e.detailsElement.find("#detailGrid2" + filteredData).ejGrid({
                dataSource: data2,
                allowSelection: false,
                allowPaging: true
            });
            e.detailsElement.find("#detailGrid3" + filteredData).ejGrid({
                dataSource: data3,
                allowSelection: false,
                allowPaging: true
            });
            e.detailsElement.find(".tabcontrol").ejTab({ selectedItemIndex: 1 });
        }
    </script>
</asp:Content>



